Subject: Re: [RFC net-next] net: mvneta: align xdp stats naming scheme to mlx5 driver

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Tue, 18 Feb 2020 23:23:22 +0100

Jakub Kicinski <[email-masked]> writes:

> On Tue, 18 Feb 2020 01:14:29 +0100 Lorenzo Bianconi wrote:
>> Introduce "rx" prefix in the name scheme for xdp counters
>> on rx path.
>> Differentiate between XDP_TX and ndo_xdp_xmit counters
>> 
>> Signed-off-by: Lorenzo Bianconi <[email-masked]>
>
> Sorry for coming in late.
>
> I thought the ability to attach a BPF program to a fexit of another BPF
> program will put an end to these unnecessary statistics. IOW I maintain
> my position that there should be no ethtool stats for XDP.
>
> As discussed before real life BPF progs will maintain their own stats
> at the granularity of their choosing, so we're just wasting datapath
> cycles.
>
> The previous argument that the BPF prog stats are out of admin control
> is no longer true with the fexit option (IIUC how that works).

So you're proposing an admin that wants to keep track of XDP has to
(permantently?) attach an fexit program to every running XDP program and
use that to keep statistics? But presumably he'd first need to discover
that XDP is enabled; which the ethtool stats is a good hint for :)

-Toke